Summary: e-smith module for making a re-installation diskette
%define name e-smith-reinstall-floppy
Name: %{name}
%define version 1.12.0
%define release 01
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Packager: e-smith developers <bugs@e-smith.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-boot-image
AutoReqProv: no

%changelog
* Thu Jun 26 2003 Charlie Brady <charlieb@e-smith.com>
- [1.12.0-01]
- Changing version to stable stream number - 1.12.0

* Tue May  6 2003 Lijie Deng <lijied@e-smith.com>
- [1.11.0-08]
- Add Spanish lexicon for reinstall [lijied 3793]

* Thu Apr  3 2003 Lijie Deng <lijied@e-smith.com>
- [1.11.0-07]
- Removed 'Mitel Networks SME Server' branding [lijied 8016]

* Fri Mar 28 2003 Lijie Deng <lijied@e-smith.com>
- [1.11.0-06]
- Modified French lexicon to use lang="fr", rename the lexicon
  directory to fr [lijied 6787]

* Thu Mar  6 2003 Lijie Deng <lijied@e-smith.com>
- [1.11.0-05]
- Modified reinstall panel order [lijied 7356]

* Wed Mar  5 2003 Lijie Deng <lijied@e-smith.com>
- [1.11.0-04]
- Split en-us lexicon from reinstall panel [lijied 4030]

* Mon Mar  3 2003 Lijie Deng <lijied@e-smith.com>
- [1.11.0-03]
- Added French lexicon for reinstall. [lijied 5003]

* Mon Feb 24 2003 Michael Soulier <msoulier@e-smith.com>
- [1.11.0-02]
- Removed references to LocalDomainPrefix. [msoulier 4812]

* Mon Feb 24 2003 Michael Soulier <msoulier@e-smith.com>
- [1.11.0-01]
- dev stream to 1.11.0

* Mon Feb 24 2003 Michael Soulier <msoulier@e-smith.com>
- [1.10.0-04]
- Backing-out changes in 1.10.0-03, as this should be done in a dev stream. 
  [msoulier 4812]

* Mon Feb 24 2003 Michael Soulier <msoulier@e-smith.com>
- [1.10.0-03]
- Removed references to LocalDomainPrefix. [msoulier 4812]

* Fri Feb 21 2003 Charlie Brady <charlieb@e-smith.com>
- [1.10.0-02]
- Remove deprecated WebServerName setting from canned test data. [charlieb 6861]

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.10.0-01]
- Rolling stable version number to 1.10.0

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.9.0-09]
- Added --ondisk spec to raid partitions, to match installation
  configuration. Tests updated to match [charlieb 4972]

* Tue Oct  8 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.9.0-08]
- Increased /boot to 100Megabytes as per RH8.0 [gordonr 5114]

* Mon Oct  7 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.9.0-07]
- Increased /boot to 50Megabytes [gordonr 5114]

* Fri Oct  4 2002 Tony Clayton <apc@e-smith.com>
- [1.9.0-06]
- s/MitelKickstart/kickstart/ in syslinux.cfg [tonyc 5076]

* Fri Oct  4 2002 Tony Clayton <apc@e-smith.com>
- [1.9.0-05]
- update tests for last patch [tonyc 5010]

* Fri Oct  4 2002 Tony Clayton <apc@e-smith.com>
- [1.9.0-04]
- updated various kickstart options for anaconda-7.3 [tonyc 5010]
- update syslinux for anaconda-7.3 [tonyc 5010]
- move "text" option from kickstart to syslinux.cfg [tonyc 5010]
- add class=MitelKickstart to syslinux.cfg [tonyc 5076]

* Thu Oct  3 2002 Michael Soulier <msoulier@e-smith.com>
- [1.9.0-03]
- Added the "text" option to the generated kickstart file ks.cfg for the
  reinstall floppy.
- Added the same "text" option to the expected test files. 
- Removed the ":ks.cfg" option in the syslinux.cfg file, as it is
  apparently incorrect with this syslinux version. [msoulier 5010]

* Mon Sep 23 2002 Charlie Brady <charlieb@e-smith.com>
- [1.9.0-02]
- Change partitioning information to match new install layout [charlieb 4972]

* Wed Jun  5 2002 Charlie Brady <charlieb@e-smith.com>
- [1.9.0-01]
- Changing version to development stream number 1.9.0

* Fri May 31 2002 Charlie Brady <charlieb@e-smith.com>
- [1.8.0-01]
- Changing version to maintained stream number to 1.8.0

* Mon May 27 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.7.15-01]
- Escape sloshes before escaping dollars [gordonr 2780]

* Mon May 27 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.7.14-01]
- Quote $ in configdb HERE document [gordonr 2780]

* Thu May 23 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.7.13-01]
- RPM rebuild forced by cvsroot2rpm

* Wed May 15 2002 Tony Clayton <apc@e-smith.com>
- [1.7.12-01]
- update syslinux.cfg to automatically load [tonyc 3333]

* Fri May  3 2002 Tony Clayton <apc@e-smith.com>
- [1.7.11-01]
- use floppy device fd0H1440 instead of fd0 as per Charlie [tonyc 2780]

* Fri May  3 2002 Tony Clayton <apc@e-smith.com>
- [1.7.10-01]
- use floppy device fd0 instead of fd0h1494 [tonyc 2780]

* Thu Apr 25 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.7.9-01]
- Header/footer [gordonr 3223]
- Nav bar entries [gordonr 3155]

* Wed Apr 17 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.7.8-01]
- Added call to buildtests in spec file

* Wed Apr 17 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.7.7-01]
- Refactored gathering of ks.cfg [gordonr 3120]
- Added tests that ks.cfg create with correct contents for raid and non-raid
  [gordonr 3120]
- NOTE: We should test writing and reading back the floppy image, but this
  is currently skipped

* Tue Apr 16 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.7.6-01]
- Save keyboard and language settings to floppy [gordonr 3120]
- Rewrote using esmith::ConfigDB
- Use a shell HERE document to save the configdb

* Mon Apr 15 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.7.5-01]
- Language en -> en-us

* Tue Apr  9 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.7.4-01]
- Integrated new i18n'd panel [skud #3032]
- Removed static settings of lang and keyboard [gordonr #3120]

* Mon Mar 25 2002 Kirrily Robert <skud@e-smith.com>
- [1.7.2-01]
- Checking for successful CVS import

* Mon Mar 25 2002 Kirrily Robert <skud@e-smith.com>
- [1.7.1-01]
- rollRPM: Rolled version number to 1.7.1-01. Includes patches up to 1.7.0-02.

* Wed Feb 13 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.0-02]
- Check that floppy is not mounted and is installed and writable before doing
  trying to create re-install floppy.
- Switch to using 1494kb format (experimental).
- Format floppy before copying files to it. Do this using low level format,
  then mkdosfs, then syslinux.
- Loopback mount distribution image and copy files from it to floppy, then
  create and copy custom kickstart file.

* Tue Feb 12 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.0-01]
- rollRPM: Rolled version number to 1.7.0-01. Includes patches up to 1.6.0-03.

* Thu Jan 10 2002 Tony Clayton <tonyc@e-smith.com>
- [1.6.0-03]
- use quotemeta for config database values in %post

* Thu Jan 03 2002 Charlie Brady <charlieb@e-smith.com>
- [1.6.0-02]
- Update kickstart file comments; remove most of them, and add a pointer
  to documentation.

* Tue Dec 11 2001 Charlie Brady <charlieb@e-smith.com>
- [1.6.0-01]
- rollRPM: Rolled version number to 1.6.0-01. Includes patches up to 1.5.0-03.

* Tue Dec 11 2001 Jason Miller <jmiller@e-smith.com>
- [1.5.0-03]
- Updates to /etc/e-smith/floppy/syslinux.cfg to remove references
  to warranty.msg and license.msg (which don't exist)

* Tue Dec 11 2001 Jason Miller <jmiller@e-smith.com>
- [1.5.0-02]
- Updates to fix branding in action floppy-put-image for the
  generated ks.cfg file

* Fri Nov 23 2001 Tony Clayton <tonyc@e-smith.com>
- [1.5.0-01]
- rollRPM: Rolled version number to 1.5.0-01. Includes patches up to 1.4.0-03.
- added patch for branding changes s/March/Mitel/

* Mon Oct  1 2001 Charlie Brady <charlieb@e-smith.com>
- [1.4.0-03]
- Delete template.img from floppy if it is found - it is just a waste of space.

* Fri Aug 17 2001 gordonr
- [1.4.0-02]
- Autorebuild by rebuildRPM

* Wed Aug 8 2001 Charlie Brady <charlieb@e-smith.com>
- [1.4.0-01]
- Rolled version number to 1.4.0-01. Includes patches upto 1.3.0-05.

* Thu Aug 02 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.3.0-05]
- More branding changes

* Sun Jul 29 2001 Jason Miller <jmiller@e-smith.com>
- [1.3.0-04]
- Branding text changes to the reinstall-floppy web panel 

* Fri Jul 6 2001 Peter Samuel <peters@e-smith.com>
- [1.3.0-03]
- Changed license to GPL

* Fri Jun 29 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.3.0-02]
- Place current /etc/motd on floppy, not a static string
- Pass lilo AddressMode down to floppy, defaulting to linear

* Thu Jun 28 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.3.0-01]
- Rolled version number to 1.3.0-01. Includes patches upto 1.2.0-03.

* Fri Feb 15 2001 Charlie Brady <charlieb@e-smith.com>
- [1.2.0-03]
- Add "--linear" option to lilo spec line.

* Thu Feb  8 2001 Adrian Chung <adrianc@e-smith.com>
- Rolling release number for GPG signing.

* Thu Jan 25 2001 Peter Samuel <peters@e-smith.com>
- [1.2.0-01]
- Rolled version number to 1.2.0-01. Includes patches upto 1.1.0-09.

* Mon Jan 15 2001 Jason Miller <jmiller@e-smith.com>
- [1.1.0-09]
- Changes to the ordering of the e-smith manager

* Wed Jan 10 2001 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-8]
- Delete Reinstalling configuration value
- Add Run=yes and ForceSave=yes properties of bootstrap-console

* Tue Jan 09 2001 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-7]
- Check for /etc/raidtab to decide which partition table to use
- Don't bother with signal-event console-save - it'll be done
  by bootstrap-console at startup
- Use new parameter "Reinstalling" to skip config wizard after reinstallation

* Sun Jan 07 2001 Paul Nesbit <pkn@e-smith.com>
- [1.1.0-5]
- fixed some minor syntax errs in floppy-put-image

* Sun Jan 07 2001 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-4]
- Fix Summary text
- Do some preparatory work on support of RAID re-installation
- Expect to find TimeZone in the config database - symlink
  groking code now moved to conf-migrate-variables in e-smith-base.

* Sat Jan 06 2001 Jason Miller <jmiller@e-smith.com>
- [1.1.0-3]
- fixed $localtime to grab timezone information from the
  configuration database first, then check /etc/localtime

* Fri Jan 05 2001 Jason Miller <jmiller@e-smith.com>
- [1.1.0-2]
- Updated copyright information and removed warning
  messages being sent to the error logs for missing
  subroutine prototype declarations

* Wed Dec 06 2000 Peter Samuel <peters@e-smith.com>
- [1.1.0-1]
- Rolled version to 1.1.0-1. Includes patches up to 0.2-6.

* Mon Nov 06 2000 Adrian Chung <adrianc@e-smith.com>
- Changed 'writable' to 'write enabled'.
- Discrepancy between US/UK spellings?

* Mon Nov 06 2000 Adrian Chung <adrianc@e-smith.com>
- More minor updates to web panel grammar.

* Mon Nov 06 2000 Jason Miller <jay@e-smith.com>
- Fixed web panel to improve grammar and readability

* Sun Nov 05 2000 Charlie Brady <charlieb@e-smith.com>
- Get timezone setting right, use db command rather than config, and
  force bootstrap console.

* Tue Oct 31 2000 Charlie Brady <charlieb@e-smith.com>
- Fixed web scripts to use only config db - services db is now merged.

* Thu Oct 26 2000 Peter Samuel <peters@e-smith.com>
- Rolled version to 0.2. Includes patches up to 0.1-10

* Thu Oct 19 2000 Adrian Chung <adrian.chung@e-smith.com>
- Updated scripts in web/functions directory to use merged
  configuration and services db hash when calling
  esmith::cgi::gen... functions.

* Thu Oct 19 2000 Adrian Chung <adrian.chung@e-smith.com>
- Cleaned up patches.  Patched to remove symlinks and file list
  which somehow got included in the patch set.

* Wed Oct 11 2000 Paul Nesbit <pkn@e-smith.com>
- updated support and contact info
- removed symlinks

* Fri Sep 22 2000 Jason Miller <jay@e-smith.com>
- added initial check for floppy in the drive
- changed to remove syslinux.cfg and/or ks.cfg
  from the floppy before copying new ones
  (to ensure there will be space)
- change ks.cfg to here document style
- include non-changing syslinux.cfg in /etc/e-smith/floppy
  and remove code to create it each time

* Thu Sep 14 2000 Jason Miller <jay@e-smith.com>
- changed to have explicit $path variable to /etc/e-smith/floppy
- tidying up:
	1. add 'or die' clause to close();
	2. remove comments for closing filehandles
	3. change if statement to unless

* Thu Sep 07 2000 Jason Miller <jay@e-smith.com>
- changed to fix broken patch (2000090701)
- remove symlink for old post-install -> floppy_get_image
- change dependency to e-smith-boot-image instead of base

* Fri Sep 01 2000 Charlie Brady <charlieb@e-smith.com>
- Make "system" calls more secure, reformat to my taste,
- Preserve timezone setting.
- Add single quotes to "config" calls.

* Thu Aug 31 2000 Charlie Brady <charlieb@e-smith.com>
- Fix up spec file and remove action to get image - now done
  by RPM.

* Wed Aug 23 2000 Jason Miller <jay@e-smith.com>
- initial release

%description
e-smith server enhancement to create re-installation diskette

%prep
%setup

%build
perl createlinks
/sbin/e-smith/buildtests 30e-smith-reinstall-floppy

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-%{release}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING" >> %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%preun
%post
%postun

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
